Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.drag.preview
Class GhostPreview

    java.lang.Object
      org.flexdock.docking.drag.effects.DefaultPreview
          org.flexdock.docking.drag.preview.GhostPreview

All Implemented Interfaces:
  DockingConstants, DragPreview

    public class GhostPreview

extends DefaultPreview

Author:
  Christopher Butler

Field Summary

Fields inherited from class org.flexdock.docking.drag.effects.DefaultPreview
`DEFAULT_TAB_HEIGHT, DEFAULT_TAB_WIDTH`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`GhostPreview()`

Method Summary
`Polygon` | `createPreviewPolygon(Component dockable, DockingPort port, Dockable hover, String targetRegion, Component paintingTarget, Map dragInfo)`
`protected Rectangle` | `createTabbedPaneRect(DockingPort port, Component hover)`
`void` | `drawPreview(Graphics2D g, Polygon poly, Dockable dockable, Map dragInfo)`

Methods inherited from class org.flexdock.docking.drag.effects.DefaultPreview
`createPolyRect, createPolyRect, createPolyTab, createPolyTabOnBottom, createPolyTabOnTop, isOuterRegion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GhostPreview

    public GhostPreview()

Method Detail

### createPreviewPolygon

    public Polygon createPreviewPolygon(Component dockable,
                                        DockingPort port,
                                        Dockable hover,
                                        String targetRegion,
                                        Component paintingTarget,
                                        Map dragInfo)

  Specified by:
    `createPreviewPolygon` in interface `DragPreview`
  Overrides:
    `createPreviewPolygon` in class `DefaultPreview`

### drawPreview

    public void drawPreview(Graphics2D g,
                            Polygon poly,
                            Dockable dockable,
                            Map dragInfo)

  Specified by:
    `drawPreview` in interface `DragPreview`
  Specified by:
    `drawPreview` in class `DefaultPreview`

### createTabbedPaneRect

    protected Rectangle createTabbedPaneRect(DockingPort port,
                                             Component hover)

  Overrides:
    `createTabbedPaneRect` in class `DefaultPreview`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD